;; Monitor function entries

ccTxChr EQU 01H  /* - Xmit ASCII character in A                          */
ccTxTxt EQU 02H  /* - Xmit ASCII text pointed to by DPTR                 */
ccTxByt EQU 03H  /* - Xmit hex value in A                                */
ccTxWrd EQU 04H  /* - Xmit hex value in DPTR                             */

ccTxInt EQU 07H  /* - Xmit 16bit hexadecimal value pointed to by R0      */
ccTxLng EQU 08H  /* - Xmit 32bit hexadecimal value pointed to by R0      */

ccRxChr EQU 10H  /* - Wait until ASCII character in A received           */
ccRxSta EQU 11H  /* - Test if character ready (1) or not received (0)    */
ccRxHex EQU 12H  /* - Prompt (H>) for 16bit hex value pointed to by R0   */
ccRxDec EQU 13H  /* - Prompt (D>) for 16bit dec value pointed to by R0   */
ccRxUCh EQU 14H  /* - Wait until ASCII char in uppercase A received      */
ccRxBCh EQU 15H  /* - Wait until ASCII character in A rcvd (test baud)   */
ccRxBUC EQU 16H  /* - Wait until ASCII char in uppercase A rcvd (test)   */

ccSnap  EQU 20H  /* - Xmit current register status                       */
ccLLTime EQU 21H  /* - Delay for DPTR mSec                                */
ccSLTime EQU 22H  /* - Delay 25 + (DPTR * 4.5) uSec                       */

ccLink  EQU 40H  /* - Install interrupt handler A with address DPTR      */

ccBaud  EQU 60H  /* - Set baudrate in A (Absolute or indexed)            */
ccGBaud EQU 61H  /* - Get baudrate in A (Absolute value)                 */

ccI2Init  EQU 68H  /* - Initialise IC interface                           */
ccI2Adr   EQU 69H  /* - Assign IC bus with IC address from A              */
ccI2Write EQU 6AH  /* - Write A to IC addressed with I2Addr                */
ccI2Read  EQU 6BH  /* - Read A from IC addressed with I2Addr               */
ccI2Free  EQU 6CH  /* - Free IC interface                                 */


COMMAND EQU  030H   /* MONITOR command memory location */
MON     EQU  0200H  /* MONITOR entry address */


