/*       MCS-51 Special Function Register names   */

/*       Selected by Theo Arends, Netherlands.    */

/*       Using INTEL 8-bit embedded controller handboek 1989.  */


B0R0    EQU    000h    /* Bank 0 - R0 */
B0R1    EQU    001h    /* Bank 0 - R1 */
B0R2    EQU    002h    /* Bank 0 - R2 */
B0R3    EQU    003h    /* Bank 0 - R3 */
B0R4    EQU    004h    /* Bank 0 - R4 */
B0R5    EQU    005h    /* Bank 0 - R5 */
B0R6    EQU    006h    /* Bank 0 - R6 */
B0R7    EQU    007h    /* Bank 0 - R7 */
B1R0    EQU    008h    /* Bank 1 - R */

B1R1    EQU    009h    /* Bank 1 - R1 */
B1R2    EQU    00Ah    /* Bank 1 - R2 */
B1R3    EQU    00Bh    /* Bank 1 - R3 */
B1R4    EQU    00Ch    /* Bank 1 - R4 */
B1R5    EQU    00Dh    /* Bank 1 - R5 */
B1R6    EQU    00Eh    /* Bank 1 - R6 */
B1R7    EQU    00Fh    /* Bank 1 - R7 */
B2R0    EQU    010h    /* Bank 2 - R */

B2R1    EQU    011h    /* Bank 2 - R1 */
B2R2    EQU    012h    /* Bank 2 - R2 */
B2R3    EQU    013h    /* Bank 2 - R3 */
B2R4    EQU    014h    /* Bank 2 - R4 */
B2R5    EQU    015h    /* Bank 2 - R5 */
B2R6    EQU    016h    /* Bank 2 - R6 */
B2R7    EQU    017h    /* Bank 2 - R7 */
B3R0    EQU    018h    /* Bank 3 - R */

B3R1    EQU    019h    /* Bank 3 - R1 */
B3R2    EQU    01Ah    /* Bank 3 - R2 */
B3R3    EQU    01Bh    /* Bank 3 - R3 */
B3R4    EQU    01Ch    /* Bank 3 - R4 */
B3R5    EQU    01Dh    /* Bank 3 - R5 */
B3R6    EQU    01Eh    /* Bank 3 - R6 */
B3R7    EQU    01Fh    /* Bank 3 - R7 */
SADDR   EQU    0A9h    /* Serial port slave address (8xC51FA/8xC51FB) */
SADEN   EQU    0B9h    /* Serial mask address (8xC51FA/8xC51FB) */
T2CON   EQU    0C8h    /* Timer 2 control register */
T2MOD   EQU    0C9h    /* Timer 2 mode control register (8xC51FA/8xC51FB) */
RCAP2L  EQU    0CAh    /* Timer 2 reload/capture low byte */
RCAP2H  EQU    0CBh    /* Timer 2 reload/capture high byte */
TL2     EQU    0CCh    /* Timer 2 low byte */
TH2     EQU    0CDh    /* Timer 2 high byte */
CCON    EQU    0D8h    /* PCA counter control register */
CMOD    EQU    0D9h    /* PCA counter mode register */
CCAPM0  EQU    0DAh    /* PCA module compare/capture register 0              */
CCAPM1  EQU    0DBh    /* PCA module compare/capture register 1              */
CCAPM2  EQU    0DCh    /* PCA module compare/capture register 2              */
CCAPM3  EQU    0DDh    /* PCA module compare/capture register 3              */
CCAPM4  EQU    0DEh    /* PCA module compare/capture register 4              */
CL      EQU    0E9h    /* PCA counter low byte                               */
CCAP0L  EQU    0EAh    /* PCA compare/capture register 0 low byte            */
CCAP1L  EQU    0EBh    /* PCA compare/capture register 1 low byte            */
CCAP2L  EQU    0ECh    /* PCA compare/capture register 2 low byte            */
CCAP3L  EQU    0EDh    /* PCA compare/capture register 3 low byte            */
CCAP4L  EQU    0EEh    /* PCA compare/capture register 4 low byte            */
CH      EQU    0F9h    /* PCA counter high byte                              */
CCAP0H  EQU    0FAh    /* PCA compare/capture register 0 high byte           */
CCAP1H  EQU    0FBh    /* PCA compare/capture register 1 high byte           */
CCAP2H  EQU    0FCh    /* PCA compare/capture register 2 high byte           */
CCAP3H  EQU    0FDh    /* PCA compare/capture register 3 high byte           */
CCAP4H  EQU    0FEh    /* PCA compare/capture register 4 high byte           */
